Skip to main content
DELETE
Clear the default compute pool for a data plane

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

data_plane_id
string<uuid>
required

Response

Default compute pool cleared. The updated data plane, which the caller always owns.

type
enum<string>
required
Available options:
owned
id
string<uuid>
required
company_id
integer<int64>
required

The id of an existing company

Example:

345

created_at
string<date-time>
required
display_name
string
required
external_id
string
required
platform
object
required
status
enum<string>
required
Available options:
active,
archived
updated_at
string<date-time>
required
collaborators
object
required
compute_pools
object[]
required
description
string | null
last_heartbeat_at
string<date-time> | null
tags
string[] | null
default_compute_pool_id
string<uuid> | null